print = Turbine.Shell.WriteLine;


function SaveSettings(arg)


	if arg == 1 then
		
		OWx, OWy = OptWindow:GetPosition();
		settings.OWx = tostring(OWx);
		settings.OWy = tostring(OWy) ;
		
		Turbine.PluginData.Save(Turbine.DataScope.Account, "MCHA", mcha.settings);
	else

		if mchaCB:IsChecked() then
			mcha.settings.on = true;
			mcha:SetWantsUpdates(true);
			mchaCB:SetChecked(true);
		else
			mcha.settings.on = false;
			mcha:SetVisible(false);
			mcha:SetWantsUpdates(false);
			mchaCB:SetChecked(false);
		end
		
		if CombatOnlyCB:IsChecked() then
			mcha.settings.temp = true;
			CombatOnlyCB:SetChecked(true);
			settings.InCom = true;
		else
			mcha.settings.temp = false;
			--CombatOnlyCB:SetChecked(false);
			settings.InCom = false;
		end

			-- Settings to save
		mcha.settings.color["0"] = tostring(alphaScrollBar:GetValue() / 255);
		mcha.settings.color["1"] = tostring(redScrollBar:GetValue() / 255);
		mcha.settings.color["2"] = tostring(greenScrollBar:GetValue() / 255);
		mcha.settings.color["3"] = tostring(blueScrollBar:GetValue() / 255);
		
		settings.size = tostring(sizeScrollBar:GetValue());
		if Himage ~= nil then
			settings.image = Himage;
		elseif settings.image ~= nil then
			settings.image = settings.image;
		end
		
		if CombatSwapCB:IsChecked(true) then
			settings.ComSwap = true;
		else
			settings.ComSwap = false;
		end
		settings.oocp = tostring(oocp);
		settings.icp = tostring(icp);
		if trim == "Solid" then
			settings.trim = "Solid";
		else 
			settings.trim = "Transparent";
		end
		
		--print(settings.image);
		--------------------------------------------
		--------------------------------------------
		Turbine.PluginData.Save(Turbine.DataScope.Account, "MCHA", mcha.settings, GeneralHasSaved);
		--print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00AA00>General Settings Saving..." );
	end
end

function GeneralHasSaved()
	print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00FF00>General Settings Saved." );
end

function p1SaveSettings()
	settings.p1color = { };	
	mcha.settings.p1color["0"] = tostring(alphaScrollBar:GetValue() / 255);
	mcha.settings.p1color["1"] = tostring(redScrollBar:GetValue() / 255);
	mcha.settings.p1color["2"] = tostring(greenScrollBar:GetValue() / 255);
	mcha.settings.p1color["3"] = tostring(blueScrollBar:GetValue() / 255);

	mcha.settings.p1size = tostring(sizeScrollBar:GetValue());
	
	if Himage ~= nil then
		settings.p1image = Himage;
	elseif settings.p1image ~= nil then
		settings.p1image = settings.p1image;
	end

	if CombatOnlyCB:IsChecked(true) then
		settings.p1InCom = true;
	else
		settings.p1InCom = false;
	end
	if trim == "Solid" then
		settings.p1trim = "Solid";
	else 
		settings.p1trim = "Transparent";
	end
	
	if bmode == "Color" then
		settings.p1blendmode = "1";
		settings.p1bmode = "Color";
	elseif bmode == "Overlay" then
		settings.p1blendmode = "5";
		settings.p1bmode = "Overlay";
	elseif bmode == "Screen" then
		settings.p1blendmode = "7";
		settings.p1bmode = "Screen";
	elseif bmode == "Multiply" then
		settings.p1blendmode = "3";
		settings.p1bmode = "Multiply";
	end
	
	Turbine.PluginData.Save(Turbine.DataScope.Account, "MCHA", mcha.settings, Pro1HasSaved);
	--print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00AA00>Profile 1 Saving..." );
end

function Pro1HasSaved()
	print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00FF00>Profile 1 Saved." );
end

function p2SaveSettings()
	settings.p2color = { };	
	mcha.settings.p2color["0"] = tostring(alphaScrollBar:GetValue() / 255);
	mcha.settings.p2color["1"] = tostring(redScrollBar:GetValue() / 255);
	mcha.settings.p2color["2"] = tostring(greenScrollBar:GetValue() / 255);
	mcha.settings.p2color["3"] = tostring(blueScrollBar:GetValue() / 255);
	
	mcha.settings.p2size = tostring(sizeScrollBar:GetValue());
	
	if Himage ~= nil then
		settings.p2image = Himage;
	elseif settings.p2image ~= nil then
		settings.p2image = settings.p2image;
	end

	if CombatOnlyCB:IsChecked(true) then
		settings.p2InCom = true;
	else
		settings.p2InCom = false;
	end
	if trim == "Solid" then
		settings.p2trim = "Solid";
	else 
		settings.p2trim = "Transparent";
	end
	
	if bmode == "Color" then
		settings.p2blendmode = "1";
		settings.p2bmode = "Color";
	elseif bmode == "Overlay" then
		settings.p2blendmode = "5";
		settings.p2bmode = "Overlay";
	elseif bmode == "Screen" then
		settings.p2blendmode = "7";
		settings.p2bmode = "Screen";
	elseif bmode == "Multiply" then
		settings.p2blendmode = "3";
		settings.p2bmode = "Multiply";
	end

	Turbine.PluginData.Save(Turbine.DataScope.Account, "MCHA", mcha.settings, Pro2HasSaved);
	--print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00AA00>Profile 2 Saving..." );
end

function Pro2HasSaved()
	print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00FF00>Profile 2 Saved." );
end

function p3SaveSettings()
	settings.p3color = { };	
	mcha.settings.p3color["0"] = tostring(alphaScrollBar:GetValue() / 255);
	mcha.settings.p3color["1"] = tostring(redScrollBar:GetValue() / 255);
	mcha.settings.p3color["2"] = tostring(greenScrollBar:GetValue() / 255);
	mcha.settings.p3color["3"] = tostring(blueScrollBar:GetValue() / 255);
	
	mcha.settings.p3size = tostring(sizeScrollBar:GetValue());
	
	if Himage ~= nil then
		settings.p3image = Himage;
	elseif settings.p3image ~= nil then
		settings.p3image = settings.p3image;
	end

	if CombatOnlyCB:IsChecked(true) then
		settings.p3InCom = true;
	else
		settings.p3InCom = false;
	end
	if trim == "Solid" then
		settings.p3trim = "Solid";
	else 
		settings.p3trim = "Transparent";
	end
	

	if bmode == "Color" then
		settings.p3blendmode = "1";
		settings.p3bmode = "Color";
	elseif bmode == "Overlay" then
		settings.p3blendmode = "5";
		settings.p3bmode = "Overlay";
	elseif bmode == "Screen" then
		settings.p3blendmode = "7";
		settings.p3bmode = "Screen";
	elseif bmode == "Multiply" then
		settings.p3blendmode = "3";
		settings.p3bmode = "Multiply";
	end

	Turbine.PluginData.Save(Turbine.DataScope.Account, "MCHA", mcha.settings, Pro3HasSaved);
	--print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00AA00>Profile 3 Saving..." );
end

function Pro3HasSaved()
	print( "<rgb=#FF9900>Mouse Cursor Highlighter Advanced <rgb=#00FF00>Profile 3 Saved." );
end






